> ## Documentation Index
> Fetch the complete documentation index at: https://ailabtools.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Image Invisible Text Watermark

> Image Invisible Text Watermark API encodes or decodes hidden text watermarks for image ownership and content protection.



## OpenAPI

````yaml /openapi.json post /api/image/editing/image-invisible-text-watermarking
openapi: 3.0.0
info:
  title: AILabAPI
  description: >-
    [<b>AILabTools</b>](https://www.ailabtools.com) is an advanced tool that
    offers a vast array of simple and flexible API endpoints to suit your
    specific needs. With just one [<b>API
    KEY</b>](https://www.ailabtools.com/doc/get-api-key), you can easily call
    any of the endpoints and integrate them quickly into your application or
    workflow, allowing for smooth and efficient operations.


    [<b>AILabTools</b>](https://www.ailabtools.com) is continuously evolving,
    and you can anticipate even more API endpoints being added in the future,
    further enhancing its capabilities and usefulness for your artificial
    intelligence and machine learning requirements.
  version: 1.0.0
servers:
  - url: https://www.ailabapi.com
    description: Production server
security:
  - apiKeyAuth: []
tags:
  - name: AI IMAGE
  - name: AI IMAGE > Image Enhancement
  - name: AI IMAGE > Image Effects
  - name: AI IMAGE > Image Editing
  - name: AI IMAGE > Image Scoring
  - name: AI BACKGROUND REMOVAL
  - name: AI BACKGROUND REMOVAL > Portrait
  - name: AI BACKGROUND REMOVAL > General
  - name: AI PORTRAIT
  - name: AI PORTRAIT > Portrait Effects
  - name: AI PORTRAIT > Portrait Enhance
  - name: AI PORTRAIT > Portrait Editing
  - name: AI PORTRAIT > Portrait Analysis
  - name: AI COMMON
paths:
  /api/image/editing/image-invisible-text-watermarking:
    post:
      tags:
        - AI IMAGE > Image Editing
      summary: Image Invisible Text Watermark
      description: >-
        Image Invisible Text Watermark API encodes or decodes hidden text
        watermarks for image ownership and content protection.
      requestBody:
        content:
          multipart/form-data:
            schema:
              type: object
              properties:
                function_type:
                  type: string
                  description: Specifies the calling function.
                origin_image:
                  type: string
                  description: Original image.
                  format: binary
                text:
                  type: string
                  description: The text of the watermark to be added.
                output_file_type:
                  type: string
                  description: Output format.
                watermark_image:
                  type: string
                  description: >-
                    The image to be resolved, i.e., a composite image with a
                    text watermark.
                  format: binary
                quality_factor:
                  type: string
                  description: >-
                    The quality size of the output image, the higher the quality
                    the larger the image.
      responses:
        '200':
          headers:
            Content-Type:
              schema:
                type: string
                example: application/json
          content:
            application/json:
              schema:
                type: object
              examples:
                example-0:
                  summary: encode_text|encode_text_plus|encode_text_bold
                  value:
                    request_id: ''
                    log_id: ''
                    error_code: 0
                    error_code_str: ''
                    error_msg: ''
                    error_detail:
                      status_code: 200
                      code: ''
                      code_message: ''
                      message: ''
                    data:
                      watermark_image_url: ''
                      text_image_url: ''
                example-1:
                  summary: decode_text
                  value:
                    request_id: ''
                    log_id: ''
                    error_code: 0
                    error_code_str: ''
                    error_msg: ''
                    error_detail:
                      status_code: 200
                      code: ''
                      code_message: ''
                      message: ''
                    data:
                      watermark_image_url: ''
                      text_image_url: ''
                example-2:
                  summary: decode_text_plus|decode_text_bold
                  value:
                    request_id: ''
                    log_id: ''
                    error_code: 0
                    error_code_str: ''
                    error_msg: ''
                    error_detail:
                      status_code: 200
                      code: ''
                      code_message: ''
                      message: ''
                    data:
                      watermark_image_url: ''
                      text_image_url: ''
          description: Success
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: ailabapi-api-key
      description: API Key for authentication

````